empty apt-get install command suggested by hwe-support-status

Bug #1341320 reported by frankster
52
This bug affects 10 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Fix Released
Undecided
Brian Murray
Precise
Fix Released
Medium
Unassigned

Bug Description

[Impact]
 * Users who have leftover components of a HWE stack get a misleading message in /etc/motd

[Test Case]
 * install 12.04 (any version) server
 * install xserver-xorg-video-sis-lts-saucy (or any random -lts-saucy non-meta package)
 * run hwe-support-status
 * verify that you get a message that contains:
"""Install a newer HWE version by running:
sudo apt-get install
"""
 * install the updated version
 * verify that you get a message with "The following packages are no longer supported:" and no longer a empty apt-get install message.

[Regression Potential]
 * Little, it could report too much to remove but thats very unlikely.

---------------
hwe-support-status generates an empty apt-get command as can be seen in its output appended below. As the command doesn't really make sense I assume that this is not the expected behaviour.

Ubuntu release: Ubuntu 12.04.4 LTS (mythbuntu)
Installed version of update-manager-core: 1:0.156.14.15

---------------------------------------------------------------------------------------
Your current Hardware Enablement Stack (HWE) is going out of support
on 07/08/14. After this date security updates for critical parts (kernel
and graphics stack) of your system will no longer be available.

For more information, please see:
http://wiki.ubuntu.com/1204_HWE_EOL

To upgrade to a supported (or longer supported) configuration:

* Upgrade from Ubuntu 12.04 LTS to Ubuntu 14.04 LTS by running:
sudo do-release-upgrade -p

OR

* Install a newer HWE version by running:
sudo apt-get install

and reboot your system.
---------------------------------------------------------------

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: update-manager-core 1:0.156.14.15
ProcVersionSignature: Ubuntu 3.11.0-20.35~precise1-generic 3.11.10.6
Uname: Linux 3.11.0-20-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
Date: Sun Jul 13 16:57:56 2014
GsettingsChanges:

InstallationMedia: Mythbuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: update-manager
UpgradeStatus: Upgraded to precise on 2012-05-30 (773 days ago)

Revision history for this message
frankster (wtfrank) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Revision history for this message
Paul Pace (myfirstnameispaul) wrote :

I have a 2-week old install of Precise and I get this issue, although only 1 of 3 of my servers has this bug.

Revision history for this message
Stephen Michael Kellat (skellat) wrote :

This is not a bug. There is no 12.04.5 release of Mythbuntu. If you need additional hardware enablement you need to upgrade to 14.04. Please consult the release announcement here for a listing of flavors that are actually participating in 12.04.5: https://lists.ubuntu.com/archives/ubuntu-announce/2014-August/000189.html

Changed in update-manager (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
frankster (wtfrank) wrote :

Displaying misleading and erroneous text is clearly a bug:

----------------------------
* Install a newer HWE version by running:
sudo apt-get install

----------------------------

Changed in update-manager (Ubuntu):
status: Invalid → Confirmed
Revision history for this message
Paul Pace (myfirstnameispaul) wrote :

I am running vanilla Ubuntu Server 12.04 and I am experiencing this bug.

I have to say, if the new Ubuntu LTS plan is to require upgrading the distribution before its scheduled support expiration, that's disappointing.

Welcome to Ubuntu 12.04.5 LTS (GNU/Linux 3.11.0-24-generic x86_64)

 * Documentation: https://help.ubuntu.com/

  System information as of Mon Sep 15 12:03:26 PDT 2014

  System load: 0.0 Processes: 113
  Usage of /: 26.4% of 6.21GB Users logged in: 0
  Memory usage: 10% IP address for eth0: 192.168.42.151
  Swap usage: 0%

  Graph this data and manage this system at:
    https://landscape.canonical.com/

Your current Hardware Enablement Stack (HWE) is no longer supported
since 2014-08-07. Security updates for critical parts (kernel
and graphics stack) of your system are no longer available.

For more information, please see:
http://wiki.ubuntu.com/1204_HWE_EOL

To upgrade to a supported (or longer supported) configuration:

* Upgrade from Ubuntu 12.04 LTS to Ubuntu 14.04 LTS by running:
sudo do-release-upgrade

OR

* Install a newer HWE version by running:
sudo apt-get install

and reboot your system.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Please add the SRU header as mentioned on https://wiki.ubuntu.com/StableReleaseUpdates

Michael Vogt (mvo)
description: updated
Changed in update-manager (Ubuntu):
status: Confirmed → Fix Released
Changed in update-manager (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
Revision history for this message
Chris J Arges (arges) wrote : Please test proposed package

Hello frankster, or anyone else affected,

Accepted update-manager into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/update-manager/1:0.156.14.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in update-manager (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Alkis Georgopoulos (alkisg) wrote :
Download full text (3.6 KiB)

Verifying for precise.
I fully updated all the meta packages. And I also removed all the old meta packages.
I only kept a couple of old kernels around.
Then, the previous update-manager-core version produced an empty apt line,
while the newer one didn't.

Exact output:

# dpkg-query -W update-manager-core
update-manager-core 1:0.156.14.17

# hwe-support-status
Your current Hardware Enablement Stack (HWE) is no longer supported
since 2014-08-07. Security updates for critical parts (kernel
and graphics stack) of your system are no longer available.
For more information, please see:
http://wiki.ubuntu.com/1204_HWE_EOL
To upgrade to a supported (or longer supported) configuration:
* Upgrade from Ubuntu 12.04 LTS to Ubuntu 14.04 LTS by running:
sudo do-release-upgrade
OR
* Install a newer HWE version by running:
sudo apt-get install
and reboot your system.

# dpkg -l '*linux*'|grep ^ii
ii libselinux1 2.1.0-4.1ubuntu1 SELinux runtime shared libraries
ii linux-firmware 1.79.9 Firmware for Linux kernel drivers
ii linux-generic-lts-trusty 3.13.0.46.40 Generic Linux kernel image and headers
ii linux-headers-3.11.0-15 3.11.0-15.25~precise1 Header files related to Linux kernel version 3.11.0
ii linux-headers-3.11.0-15-generic 3.11.0-15.25~precise1 Linux kernel headers for version 3.11.0 on 64 bit x86 SMP
ii linux-headers-3.13.0-46 3.13.0-46.75~precise1 Header files related to Linux kernel version 3.13.0
ii linux-headers-3.13.0-46-generic 3.13.0-46.75~precise1 Linux kernel headers for version 3.13.0 on 64 bit x86 SMP
ii linux-headers-generic-lts-trusty 3.13.0.46.40 Generic Linux kernel headers
ii linux-image-3.11.0-15-generic 3.11.0-15.25~precise1 Linux kernel image for version 3.11.0 on 64 bit x86 SMP
ii linux-image-3.13.0-46-generic 3.13.0-46.75~precise1 Linux kernel image for version 3.13.0 on 64 bit x86 SMP
ii linux-image-generic-lts-trusty 3.13.0.46.40 Generic Linux kernel image
ii linux-libc-dev 3.2.0-58.88 Linux Kernel Headers for development
ii linux-sound-base 1.0.25+dfsg-0ubuntu1.1 base package for ALSA and OSS sound systems
ii pptp-linux 1.7.2-6 Point-to-Point Tunneling Protocol (PPTP) Client
ii syslinux 2:4.05+dfsg-2 collection of boot loaders
ii syslinux-common 2:4.05+dfsg-2 collection of boot loaders (common files)
ii syslinux-legacy 2:3.63+dfsg-2ubuntu5 Bootloader for Linux/i386 using MS-DOS floppies
ii util-linux 2.20.1-1ubuntu3 Miscellaneous system utilities

After updating ...

Read more...

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.14.18

---------------
update-manager (1:0.156.14.18) precise-proposed; urgency=low

  [ Lefteris Nikoltsios ]
  * remove all ltsp* blacklisting (LP: #1415785)

  [ Michael Vogt ]
  * improve HWE support information message in the gtk UI
    (LP: #1402706)
  * consider more meta-packages when doing the apt-get install
    suggestion (LP: #1420217)
  * show unsupported packages if no replacement packages can be found
    (LP: #1341320)
 -- Michael Vogt <email address hidden> Tue, 10 Feb 2015 17:39:22 +0100

Changed in update-manager (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of the Stable Release Update for update-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in update-manager (Ubuntu):
status: Fix Released → Triaged
Changed in update-manager (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Revision history for this message
Brian Murray (brian-murray) wrote :

I've forward ported the HWE support status code to Yakkety, so I'm setting this to Fix Released.

Changed in update-manager (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers